﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;


class Program {

	static int TestDivide(int a, int b) {
		Console.WriteLine("Method Divide({0}, {1}) begins calcucation ...", a, b);
		if (b == 0) {
			if (a < 0) {
				return int.MinValue;
			} else {
				return int.MaxValue;
			}
		}

		return a / b;
	}

	static string TestGetString(double d) {
		return d.ToString();
	}

	static Point TestGetPoint(int x, int y) {
		return new Point { X = x, Y = y };
	}

	static void Main(string[] args) {
		Console.WriteLine(TestDivide(5, 2)); Console.WriteLine();
		Console.WriteLine(TestDivide(100, 5)); Console.WriteLine();
		Console.WriteLine(TestDivide(5, 2)); Console.WriteLine();
		Console.WriteLine(TestDivide(5, 2)); Console.WriteLine();
		Console.WriteLine(TestDivide(5, 0)); Console.WriteLine();
		Console.WriteLine(TestDivide(5, 0)); Console.WriteLine();
		Console.WriteLine(TestDivide(-5, 0)); Console.WriteLine();
		Console.WriteLine(TestDivide(-5, 0)); Console.WriteLine();

		Console.WriteLine(TestGetString(3.14));
		Console.WriteLine(TestGetString(123));
		Console.WriteLine(TestGetString(3.14));

		Console.WriteLine(TestGetPoint(10, 20));
	}
}

struct Point {
	public int X;
	public int Y;

	public override string ToString() {
		return string.Format("Point{{X={0}, Y={1}}}", X, Y);
	}
}

